{{- $main := resources.Get "js/main.js" -}}
{{- $toc  := resources.Get "js/toc.js" -}}

{{- $lunr := resources.Get "js/lunr/lunr.min.js" -}}
{{- $lunrStemmerSupport := resources.Get "js/lunr/lunr.stemmer.support.js" -}}
{{- $lunrFr := resources.Get "js/lunr/lunr.fr.js" -}}

{{- $defaultJS := slice $lunr $lunrStemmerSupport $lunrFr $main -}}
{{- $pageJS    := slice $lunr $lunrStemmerSupport $lunrFr $main $toc -}}

{{/* Loop over all css of the base theme */}}
{{- $js := cond (or (eq .Kind "page") (eq .Kind "section")) $pageJS $defaultJS -}}

{{- if and .Site.IsServer (not (eq (getenv "HUGO_ENV") "production" | or (eq .Site.Params.env "production"))) -}}
  {{- range $js -}}
    <script src="{{ .RelPermalink }}?{{ sha1 (string now) }}" defer></script>
  {{ end }}
{{- else -}}
  {{- $js := cond (or (eq .Kind "page" ) (eq .Kind "section")) ($js | resources.Concat "js/global-page.js") ($js | resources.Concat "js/global.js") -}}
  {{- $js := $js | minify | fingerprint -}}
  <script src="{{ $js.RelPermalink }}" integrity="{{ $js.Data.Integrity }}" defer></script>
{{- end -}}
